org.eclipse.wst.jsdt.core.eval

## Interface IGlobalVariable

    public interface IGlobalVariable

A global variable declared in an evaluation context.

This interface is not intended to be implemented by clients. `IEvaluationContext.newVariable` can be used to obtain an instance.

See Also:
  `Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getInitializer()` Returns the initializer of this global variable.
`java.lang.String` `getName()` Returns the name of this global variable.
`java.lang.String` `getTypeName()` Returns the fully qualified name of the type of this global variable, or its simple representation if it is a primitive type (`int`, `boolean`, etc.).

### Method Detail

#### getInitializer

    java.lang.String getInitializer()

Returns the initializer of this global variable. The syntax for an initializer corresponds to VariableInitializer (JLS2 8.3).

Returns:
  the initializer expression, or `null` if this global does not have an initializer

#### getName

    java.lang.String getName()

Returns the name of this global variable.

Returns:
  the name of the global variable

#### getTypeName

    java.lang.String getTypeName()

Returns the fully qualified name of the type of this global variable, or its simple representation if it is a primitive type (`int`, `boolean`, etc.).

The syntax for a type name corresponds to Type in Field Declaration (JLS2 8.3).

Returns:
  the type name